import request from '@/utils/request'

// 交换件查询
export function searchExchangePart(pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '库存管理_交换件_交换件审批查询',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 通过交换件
export function approvalExchangepart(data1, data2, data22, data3, data33, data4) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_交换件_交换件审批通过',
      param: '交换单流水号=' + data1 + '&交换件采购合同明细流水号=' + data2 + '&被交换件采购合同明细流水号=' + data22 + '&交换件货位流水号=' + data3 + '&被交换货位流水号=' + data33 + '&交换数量=' + data4
    }
  })
}

// 拒绝交换件
export function disappExchangepart(data1, data2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '库存管理_交换件_交换件审批拒绝',
      param: '交换单流水号=' + data1 + '&不通过原因=' + data2
    }
  })
}
